package cn.superdesk.uniorder.dubbo.consumer.invoice.customer.invoiced;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.invoice.customer.invoiced.InvoiceInvoicedBackCollectionOperationLog;
import cn.superdesk.uniorder.dto.param.invoice.customer.invoiced.InvoiceInvoicedBackCollectionOperationLogParam;
import cn.superdesk.uniorder.dto.param.invoice.customer.invoiced.InvoiceInvoicedBackCollectionOperationLogQueryCriteria;
import cn.superdesk.uniorder.dubbo.facade.invoice.customer.invoiced.DubboInvoiceInvoicedBackCollectionOperationLogService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description: 应收账款-回款操作日志-操作留痕
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-07-28 15:28:43
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-07-28 15:28:43
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class InvoiceInvoicedBackCollectionOperationLogDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboInvoiceInvoicedBackCollectionOperationLogService dubboInvoiceInvoicedBackCollectionOperationLogService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(InvoiceInvoicedBackCollectionOperationLogParam param) {

		dubboInvoiceInvoicedBackCollectionOperationLogService.addObj(param);

	}

	public void updateObj(InvoiceInvoicedBackCollectionOperationLogParam param) {

		dubboInvoiceInvoicedBackCollectionOperationLogService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboInvoiceInvoicedBackCollectionOperationLogService.deleteObj(id);
	}

	public InvoiceInvoicedBackCollectionOperationLog findById(Long id) {

		return dubboInvoiceInvoicedBackCollectionOperationLogService.findById(id);
	}

	public PageInfo<InvoiceInvoicedBackCollectionOperationLog> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboInvoiceInvoicedBackCollectionOperationLogService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<InvoiceInvoicedBackCollectionOperationLog> findAll(Map<String, Object> queryMap) {

		return dubboInvoiceInvoicedBackCollectionOperationLogService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addInvoiceInvoicedBackCollectionOperationLog(InvoiceInvoicedBackCollectionOperationLogParam param) {

		dubboInvoiceInvoicedBackCollectionOperationLogService.addInvoiceInvoicedBackCollectionOperationLog(param);
	}


	public void updateInvoiceInvoicedBackCollectionOperationLog(InvoiceInvoicedBackCollectionOperationLogParam param) {

		dubboInvoiceInvoicedBackCollectionOperationLogService.updateInvoiceInvoicedBackCollectionOperationLog(param);
	}


	public void deleteInvoiceInvoicedBackCollectionOperationLog(Long id) {
		dubboInvoiceInvoicedBackCollectionOperationLogService.deleteInvoiceInvoicedBackCollectionOperationLog(id);
	}


	public InvoiceInvoicedBackCollectionOperationLog findInvoiceInvoicedBackCollectionOperationLogById(Long id) {

		return dubboInvoiceInvoicedBackCollectionOperationLogService.findInvoiceInvoicedBackCollectionOperationLogById(id);
	}


	public R<List<InvoiceInvoicedBackCollectionOperationLog>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboInvoiceInvoicedBackCollectionOperationLogService.pageQuery(conditions, pageNun, pageSize);
	}

	public R<List<InvoiceInvoicedBackCollectionOperationLog>> pageQueryGenericParam(InvoiceInvoicedBackCollectionOperationLogQueryCriteria queryCriteria) {

		return dubboInvoiceInvoicedBackCollectionOperationLogService.pageQueryGenericParam(queryCriteria);
	}
}
